Skip to navigation

Get page image from envelope for display

View as Markdown
Returns an image of a page in a document for display.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

documentIdstringRequired

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).

Tab objects have a documentId property that specifies the document on which to place the tab.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

pageNumberstringRequired
The page number being accessed.

Query parameters

dpistringOptional

Sets the dots per inch (DPI) for the returned image.

max_heightstringOptional
Sets the maximum height for the page image in pixels. The dpi is recalculated based on this setting.
max_widthstringOptional
Sets the maximum width for the page image in pixels. The dpi is recalculated based on this setting.
show_changesstringOptional

When true, changes display in the user interface.

Response

Successful response.

Errors

400
Bad Request Error